com.android.agf.webservice

## Class PentahoConnection

- java.lang.Object
- - com.android.agf.webservice.PentahoConnection

-     public class PentahoConnection
      extends Object

  classe on es realitzen totes les connexions al webservice de pentaho
  Author:
    albert

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PentahoConnection()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `connect(String url, String usr, String pass)` funcio per realitzar una connexio basica i obtenir el resultat de l'autentificacio
    `String` | `getHTML(String url, String usr, String pass)` funcio per obtenir el codi HTML base associada a la consulta al webservice realitzada
    `JSONObject` | `getJSON(String url, String usr, String pass)` funcio per obtenir el fitxer json adjunt a la consulta al webservice sobre cda
    `InputStream` | `getXML(String url, String usr, String pass)` funcio per obtenir el fitxer xml associat a la consulta al webservice

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PentahoConnection

          public PentahoConnection()

  - ### Method Detail

    - #### connect

          public int connect(String url,
                    String usr,
                    String pass)
                      throws ClientProtocolException,
                             IOException

      funcio per realitzar una connexio basica i obtenir el resultat de l'autentificacio
      Parameters:
        `url` -
        `usr` -
        `pass` -
      Returns:
      Throws:
        `ClientProtocolException`
        `IOException`

    - #### getXML

          public InputStream getXML(String url,
                           String usr,
                           String pass)
                             throws ClientProtocolException,
                                    IOException

      funcio per obtenir el fitxer xml associat a la consulta al webservice
      Parameters:
        `url` -
        `usr` -
        `pass` -
      Returns:
      Throws:
        `ClientProtocolException`
        `IOException`

    - #### getJSON

          public JSONObject getJSON(String url,
                           String usr,
                           String pass)
                             throws ClientProtocolException,
                                    IOException,
                                    JSONException

      funcio per obtenir el fitxer json adjunt a la consulta al webservice sobre cda
      Parameters:
        `url` -
        `usr` -
        `pass` -
      Returns:
      Throws:
        `ClientProtocolException`
        `IOException`
        `JSONException`

    - #### getHTML

          public String getHTML(String url,
                       String usr,
                       String pass)
                         throws ClientProtocolException,
                                IOException

      funcio per obtenir el codi HTML base associada a la consulta al webservice realitzada
      Parameters:
        `url` -
        `usr` -
        `pass` -
      Returns:
      Throws:
        `ClientProtocolException`
        `IOException`